jQuery(document).ready(function($) {
	docs.init();
});

var docs = {

        init: function() {
            this.initScrollContent();
            this.initCollapse();
            this.initMenuMobile();
            this.initMenuCategories();
            this.initDocsClose();
            this.initLazyLoad();
        },

        initScrollContent: function() {
          $('.navigation a').bind('click', function(e) {
			e.preventDefault(); 
			var target = $(this).attr("href"); 
			var this_a = $(this);

			$('.navigation a').each(function() {
				$('.navigation a.active').removeClass('active');
				this_a.addClass('active');
			})

			if ($(window).width() <= 600) {
    			$('.docs-left-content').hide();
    			$('.docs-close').hide();
    			bodyScrollLock.clearAllBodyScrollLocks();
    		}

			$('html, body').stop().animate({
				scrollTop: $(target).offset().top
				}, 0, function() {
					location.hash = target; 
				});
			return false;
			});

          	$('.docs-right-content').scroll(function() {
				var scrollDistance = $(window).scrollTop()+100;
				$('.docs-section').each(function(i) {
					if ($(this).position().top <= scrollDistance) {
						$('.navigation > li > a.active').removeClass('active');
						$('.navigation > li > a').eq(i).addClass('active');
					}
				});
				$('.docs-collapse-title').each(function(i) {
					if ($(this).position().top <= scrollDistance) {
						$('.submenu_link').removeClass('active');
						$('.navigation .submenu_link').eq(i).addClass('active');
					}else{
						$('.navigation .submenu_link').eq(i).removeClass('active');
					}	
				});
			})

			
        },

        initCollapse: function() {
        	$('.has-child').bind('click', function(e) {
        		$(this).next().stop().toggle();
              	$(this).stop().toggleClass('clicked');
        	})
        },

        initMenuMobile: function() {
        	$('.menu-mobile').bind('click', function(e) {
        		e.preventDefault(); 
        		if ($(window).width() <= 600) {
        			$('.docs-menu-desktop').show();
        			$('.docs-hide').show();
        			bodyScrollLock.disableBodyScroll(document.querySelector('.docs-menu-desktop'));
        		}
        	})
        },

        initMenuCategories: function() {
        	$('.menu-categories').bind('click', function(e) {
        		e.preventDefault(); 
        		if ($(window).width() <= 600) {
        			$('.docs-left-content').show();
        			$('.docs-hide').show();
        			bodyScrollLock.disableBodyScroll(document.querySelector('.docs-left-content'));
        		}
        	})
        },

        initDocsClose: function() {
        	$('.docs-close').bind('click', function(e) {
        		e.preventDefault(); 
				$(this).hide();
        		if ($(window).width() <= 600) {
        			$('.docs-menu-desktop').hide();
        			$('.docs-left-content').hide();
        			bodyScrollLock.clearAllBodyScrollLocks();
        		}
        	})
        },

        //Lazy load Image
        initLazyLoad: function() {
          var myLazyLoad = new LazyLoad({
            elements_selector: ".lazy"
          });
        }
}